Bug 190072 - backspace key not functioning during login
backspace key not functioning during login
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: telnet (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-27 06:46 EDT by Ricky
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 03:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky 2006-04-27 06:46:41 EDT
Description of problem:

When I telnet to a redhat server at the login prompt my backspace does not 
work.
Currently when I use a backspace it types ^H but I want to use backspace to 
delete the before character.
however the backspace key works after the login but I want to get this work 
during the login prompt.


Version-Release number of selected component (if applicable):
Linux 2.4.21-27

  
Actual results:
when backspace key it print ^H

Expected results:

backspace key should delete the the before character


Additional info:

using the uk-english keyboard setting
Comment 1 Brandon Casey 2006-09-08 16:15:52 EDT
Similar problem after upgrading to 4.4 from 4.3.

Noticed in vim sessions, hitting backspace during insert now produces ^?. Only
noticed this when using xterm, gnome-term works ok. I had no problems with 4.3.

in xterm:
   stty -a: erase = ^H;
   Ctrl-v backspace: ^?
   Ctrl-v Ctrl-backspace: ^H

in gnome-terminal:
   stty -a: erase = ^?;
   Ctrl-v backspace: ^?
   Ctrl-v Ctrl-backspace: ^?

at console:
   stty -a: erase = ^?;
   Ctrl-v backspace: ^?
   Ctrl-v Ctrl-backspace: ^?

Shouldn't backspace emit ^H. I'm not sure what RHEL4.3 emitted (didn't have this
problem).

Adding the command "stty sane" to my .bashrc is somewhat of a fix. It has the
effect of changing erase to be ^?. But of course, I have the same problem
whenever I spawn an xterm with an ssh session in it.

Any ideas on what could have changed between the 4.3 release and the 4.4 release
that could have caused this problem?

-brandon
Comment 2 Harald Hoyer 2006-09-25 10:36:24 EDT
termcaps maybe... depends heavily on the terminal you use! not a telnet bug!
Comment 3 Harald Hoyer 2006-09-25 10:40:42 EDT
Which terminal are you using?
# echo $TERM
Comment 4 Ricky 2006-09-25 11:07:06 EDT
Iam using the "ansi" term.
Comment 5 Harald Hoyer 2006-09-25 11:13:13 EDT
well.. maybe /etc/termcap changed... or /usr/share/terminfo/a/ansi*
which means either the package termcap or ncurses. please assign to the
component, which changed from release 4.3 to 4.4
Comment 6 Ricky 2006-09-25 11:25:26 EDT
Iam using the "ansi" term.
Comment 7 Ricky 2006-09-25 11:36:01 EDT
For me it is not the case of change in release.
My users connect to the server through the command prompt from their windows PC
and here at the login prompt the backspace key doesnt work.
However this works fine when I use the terminal like putty.
Comment 8 Harald Hoyer 2006-09-26 03:10:24 EDT
well, that's a common problem... do a google search for this. In some terminals
you could specify, what backspace and delete will send... ^H or ^? This is a
never ending story :)
Comment 9 Brandon Casey 2006-10-11 19:41:07 EDT
In an installation of RHEL4.4 on your end, is erase set to ^? or ^H in xterm?
stty -a prints this info out.

For me, this changed from 4.3 to 4.4?

Note You need to log in before you can comment on or make changes to this bug.